Magick++: Magick::DrawableViewbox Class Reference

Magick++ 7.1.0

Public Member Functions | List of all members
Magick::DrawableViewbox Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableViewbox:
[legend]
Collaboration diagram for Magick::DrawableViewbox:
[legend]

## Public Member Functions
| DrawableViewbox (::ssize_t x1_, ::ssize_t y1_, ::ssize_t x2_, ::ssize_t y2_)
| ~DrawableViewbox (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | x1 (::ssize_t x1_)
::ssize_t | x1 (void) const
void | y1 (::ssize_t y1_)
::ssize_t | y1 (void) const
void | x2 (::ssize_t x2_)
::ssize_t | x2 (void) const
void | y2 (::ssize_t y2_)
::ssize_t | y2 (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 2291 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawableViewbox()

Magick::DrawableViewbox::DrawableViewbox | ( | ::ssize_t | x1_,
|  | ::ssize_t | y1_,
|  | ::ssize_t | x2_,
|  | ::ssize_t | y2_
| ) |  |
| inline

Definition at line 2294 of file Drawable.h.

## ◆ ~DrawableViewbox()

Magick::DrawableViewbox::~DrawableViewbox | ( | void |  | ) |

Definition at line 1740 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::DrawableBase * Magick::DrawableViewbox::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1748 of file Drawable.cpp.

## ◆ operator()()

void Magick::DrawableViewbox::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1744 of file Drawable.cpp.

## ◆ x1() [1/2]

void Magick::DrawableViewbox::x1 | ( | ::ssize_t | x1_ | ) |
| inline

Definition at line 2310 of file Drawable.h.

## ◆ x1() [2/2]

::ssize_t Magick::DrawableViewbox::x1 | ( | void |  | ) | const
| inline

Definition at line 2314 of file Drawable.h.

## ◆ x2() [1/2]

void Magick::DrawableViewbox::x2 | ( | ::ssize_t | x2_ | ) |
| inline

Definition at line 2328 of file Drawable.h.

## ◆ x2() [2/2]

::ssize_t Magick::DrawableViewbox::x2 | ( | void |  | ) | const
| inline

Definition at line 2332 of file Drawable.h.

## ◆ y1() [1/2]

void Magick::DrawableViewbox::y1 | ( | ::ssize_t | y1_ | ) |
| inline

Definition at line 2319 of file Drawable.h.

## ◆ y1() [2/2]

::ssize_t Magick::DrawableViewbox::y1 | ( | void |  | ) | const
| inline

Definition at line 2323 of file Drawable.h.

## ◆ y2() [1/2]

void Magick::DrawableViewbox::y2 | ( | ::ssize_t | y2_ | ) |
| inline

Definition at line 2337 of file Drawable.h.

## ◆ y2() [2/2]

::ssize_t Magick::DrawableViewbox::y2 | ( | void |  | ) | const
| inline

Definition at line 2341 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp